IFPCArray2::CompatibilityVersion property

Applies to: desktop apps only

The CompatibilityVersion property gets or sets a value from the FpcCompatibilityVersion enumerated type that specifies the minimum version of an object or of Forefront TMG Management that may access the configuration settings of the array.

This property is read/write.

Syntax


HRESULT put_CompatibilityVersion(
  FpcCompatibilityVersion CompatibilityVersion
);

HRESULT get_CompatibilityVersion(
  FpcCompatibilityVersion *pCompatibilityVersion
);

Property value

Value from the FpcCompatibilityVersion enumerated type that specifies the minimum version of an object or of Forefront TMG Management that may access the configuration settings of the array.

Error codes

These property methods return S_OK if the call is successful; otherwise, they return an error code.

Remarks

This property is read/write.

Requirements

Minimum supported client

Windows Vista

Minimum supported server

Windows Server 2008 R2, Windows Server 2008 with SP2 (64-bit only)

Version

Forefront Threat Management Gateway (TMG) 2010

IDL

Msfpccom.idl

DLL

Msfpccom.dll

See also

FPCArray

 

 

Build date: 7/12/2010

Community Additions

ADD
Show: